{
    "name": "drupal/recommended-project",
    "description": "Project template for Drupal projects with a relocated document root",
    "type": "project",
    "license": "GPL-2.0-or-later",
    "homepage": "https://www.drupal.org/project/drupal",
    "support": {
        "docs": "https://www.drupal.org/docs/user_guide/en/index.html",
        "chat": "https://www.drupal.org/node/314178"
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        }
    ],
    "require": {
        "composer/installers": "^2.0",
        "drupal/block_field": "^1.0@RC",
        "drupal/cer": "^5.0@beta",
        "drupal/config_pages": "^2.15",
        "drupal/core-composer-scaffold": "^10.3",
        "drupal/core-project-message": "^10.3",
        "drupal/core-recommended": "^10.3",
        "drupal/editor_advanced_link": "^2.2",
        "drupal/geofield": "^1.60",
        "drupal/image_delta_formatter": "^1.2",
        "drupal/image_field_caption": "2.0.x-dev@dev",
        "drupal/leaflet": "^10.2",
        "drupal/leaflet_more_maps": "^2.2",
        "drupal/linked_field": "^1.5",
        "drupal/manage_display": "^3.0",
        "drupal/matomo": "^1.23",
        "drupal/metatag": "^2.0",
        "drupal/page_manager": "^4.0@RC",
        "drupal/panels": "^4.8",
        "drupal/paragraphs": "^1.17",
        "drupal/quick_node_clone": "^1.18",
        "drupal/simple_sitemap": "^4.1",
        "drupal/smart_read_more_link": "^2.0",
        "drupal/social_media_links": "^2.9",
        "drupal/structure_sync": "^2.0",
        "drupal/verf": "^2.1",
        "drupal/views_argument_token": "^2.0",
        "drupal/views_autocomplete_filters": "^2.0",
        "drupal/views_block_area": "^1.0@beta",
        "drupal/views_bulk_operations": "^4.4",
        "drupal/views_conditional": "^1.10",
        "drupal/views_year_filter": "^2.1",
        "drupal/viewsreference": "^2.0@beta",
        "drupal/yaml_editor": "^1.2",
        "drush/drush": "^12.4",
        "wikimedia/composer-merge-plugin": "^2.1"
    },
    "conflict": {
        "drupal/drupal": "*"
    },
    "minimum-stability": "stable",
    "prefer-stable": true,
    "config": {
        "allow-plugins": {
            "composer/installers": true,
            "drupal/core-composer-scaffold": true,
            "drupal/core-project-message": true,
            "phpstan/extension-installer": true,
            "dealerdirect/phpcodesniffer-composer-installer": true,
            "php-http/discovery": true,
            "wikimedia/composer-merge-plugin": true,
            "cweagans/composer-patches": true
        },
        "sort-packages": true
    },
    "extra": {
        "drupal-scaffold": {
            "locations": {
                "web-root": "web/"
            }
        },
        "installer-paths": {
            "web/core": [
                "type:drupal-core"
            ],
            "web/libraries/{$name}": [
                "type:drupal-library"
            ],
            "web/modules/contrib/{$name}": [
                "type:drupal-module"
            ],
            "web/profiles/contrib/{$name}": [
                "type:drupal-profile"
            ],
            "web/themes/contrib/{$name}": [
                "type:drupal-theme"
            ],
            "drush/Commands/contrib/{$name}": [
                "type:drupal-drush"
            ],
            "web/modules/custom/{$name}": [
                "type:drupal-custom-module"
            ],
            "web/profiles/custom/{$name}": [
                "type:drupal-custom-profile"
            ],
            "web/themes/custom/{$name}": [
                "type:drupal-custom-theme"
            ]
        },
        "drupal-core-project-message": {
            "include-keys": [
                "homepage",
                "support"
            ],
            "post-create-project-cmd-message": [
                "<bg=blue;fg=white>                                                         </>",
                "<bg=blue;fg=white>  Congratulations, you’ve installed the Drupal codebase  </>",
                "<bg=blue;fg=white>  from the drupal/recommended-project template!          </>",
                "<bg=blue;fg=white>                                                         </>",
                "",
                "<bg=yellow;fg=black>Next steps</>:",
                "  * Install the site: https://www.drupal.org/docs/installing-drupal",
                "  * Read the user guide: https://www.drupal.org/docs/user_guide/en/index.html",
                "  * Get support: https://www.drupal.org/support",
                "  * Get involved with the Drupal community:",
                "      https://www.drupal.org/getting-involved",
                "  * Remove the plugin that prints this message:",
                "      composer remove drupal/core-project-message"
            ]
        },
        "merge-plugin": {
            "include": [
                "web/profiles/drupal-starterkit-profile/composer.json"
            ],
            "recurse": true,
            "replace": false,
            "merge-extra": true
        },
        "patches": {
            "drupal/core": {
                "Image field generates only default language URL when linking to corresponding entity. https://www.drupal.org/node/2645922?no_cache=1733132298":"https://www.drupal.org/files/issues/2021-03-15/2645922-45.patch",
                "Also use text editor (CKEditor) for summary of a text field https://www.drupal.org/project/drupal/issues/2671162 ":"https://www.drupal.org/files/issues/2024-09-09/2671162-151.patch"
            },
            "drupal/image_field_caption":{
                "Rewrite module to use default field storage https://www.drupal.org/project/image_field_caption/issues/3472997": "./patches/image_field_caption_3472997_12.patch"
            },
            "drupal/video_embed_field":{
                "Support Youtube Live urls https://www.drupal.org/project/video_embed_field/issues/3417567":"https://www.drupal.org/files/issues/2024-01-27/video_embed_field--support-live--3417567--2.patch"
            },
            "drupal/page_manager":{
                "Some mandatory parameters are missing (machine_name, step) to generate a URL for route entity.page.devel_load https://www.drupal.org/project/page_manager/issues/3438993": "https://www.drupal.org/files/issues/2024-08-14/page-manager-3438993-MR34-24.patch"
            }
        },
        "oldpatches": {
            "drupal/social_media_links":{
                "Replace Twitter with X https://www.drupal.org/project/social_media_links/issues/3384469": "https://www.drupal.org/files/issues/2023-09-12/social_media_links-change_twitter_to_x-3384469-7.patch"
            }
        }
    }
}
